/* -- Basic-- */

body::after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 50px;
    background: #F8C975;
    border-top: 10px solid #F0A240;
    bottom: 0;
    outline: 3px solid #421309;
}

body::before {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 50px;
    bottom: 50px;
    background: url(../img/grass-bottom.png);
}

.discover {
    padding-top: 3%;
    background: rgb(146 234 245);
    height: 100vh;
    background-size: auto 60px;
}

.discover .game-title {
    text-align: center;
}

.discover .game-title h3 {
    border-top-right-radius: 10px;
    background: #421309;
    color: #fff;
    display: inline-block;
    margin: auto;
    border-top-left-radius: 10px;
    padding: 10px 62px;
    font-size: 22px;
}

.discover .cracks {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 32px;
    bottom: 0;
    background: url(../img/crack.png);
    z-index: 3;
    background-size: 100px;
}

.discover>.container {
    max-width: 96%;
}

/* -- Types Section-- */

.discover .types .type {
    width: 75%;
    border: 5px solid #ffc75a;
    padding: 20px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-bottom: 15px;
    opacity: 0.7;
    position: relative;
    background: #421309;
    outline: 5px solid #3b1806;
}

.discover .types .type .result {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-weight: bold;
    font-size: 24px;
    display: none;
}

.discover .types .type .result.true {
    display: flex;
    background: green;
}

.discover .types .type .result.true::before {
    content: "\f118";
    font-family: fontawesome;
    font-size: 50px;
    font-weight: 100;
}

.discover .types .type .result.false {
    display: flex;
    background: #9d0808;
}

.discover .types .type .result.false::before {
    content: "\f119";
    font-family: fontawesome;
    font-size: 50px;
    font-weight: 100;
}

.discover .types .type.active {
    opacity: 1;
    cursor: pointer;
}

.discover .types .type img {
    width: 45px;
}

.discover .types .type h3 {
    color: #ffc75a;
    font-size: 18px;
    margin-top: 8px;
}

.discover .left-auto .type {
    margin-left: auto;
}

/* -- Photos Container Section-- */
.discover .photos-container {
    width: 100%;
    position: relative;
    border: 10px solid #421309;
}

.discover .photos-container .photos {
    position: relative;
    height: 100%;
}

.discover .photos-container .photos img {
    position: absolute;
    display: none;
    min-height: 100%;
    min-width: 100%;
}

.discover .photos-container .photos img.active {
    display: block;
}

.discover .photos-container img {
    width: 100%;
    height: 400px;
    max-height: 100%;
    border: 2px solid #fff;
}

.discover .photos-container .cells {
    display: flex;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    flex-wrap: wrap;
    align-content: flex-start;
    display: none;
}
.discover .photos-container .cells.view{
    display: flex;
}
.discover .photos-container .cell {
    position: relative;
    width: 20%;
    height: 25%;
    border: 1px solid #ffc75a;
    justify-content: center;
    display: flex;
    align-items: center;
    background: url(../img/bricks.svg);
    cursor: pointer;
    background-size: revert;
    background: url(../img/bricks4.svg);
    background: cont;
    background-size: contain;
}

.discover .photos-container .cell:nth-child(odd) {
    background: #e57e25;
}

.discover .photos-container .cell:nth-child(even) {
    background: #bb4007;
}

.discover .photos-container .cell::before {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 15%;
    width: 15%;
    top: 0;
    background: #421309;
    z-index: 0;
    border-bottom: 1px solid #421309;
    left: 0;
}

.discover .photos-container .cell.clicked {
    background: none;
    cursor: default;
    pointer-events: none;
}

.discover .photos-container .cell.clicked:before {
    display: none;
}

.discover .photos-container .cell.clicked i {
    display: none;
}

.discover .photos-container .cell i {
    font-size: 50px;
    color: #ffc75a;
    text-shadow: 2px 2px 2px rgb(3 6 16);
    position: absolute;
}

/* -- User Section --*/

.discover .user .user-icon {
    position: relative;
    width: 100px;
    height: 100px;
    color: #ffc75a;
    display: flex;
    align-self: center;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    margin: 30px auto 0 auto;
    font-size: 50px;
}

.discover .user .user-icon .filter {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 100px;
    background: #45200d;
    filter: url(#wavy2);
}

.discover .user .user-icon i {
    position: absolute;
    filter: url(#wavy);
}

.discover .user .username {
    width: 90%;
    border-top: 1px solid #45200d;
    border-bottom: 1px solid #45200d;
    margin: 20px auto;
    padding: 5px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    height: 48px;
}

.discover .user .username p {
    color: #45200d;
    font-size: 24px;
    margin-bottom: 0;
    font-weight: bold;
}


.newplayername {
    position: absolute;
    width: 85%;
    background: none;
    color: #e4bb63;
    border: 3px solid #45220d;
    color: #45220d;
    font-weight: bold;
    border-radius: 5px;
}

.newplayername:focus {
    outline: 1px solid #e4bb63;
}

.newplayername::placeholder {
    color: #45220d;
}

.hide {
    display: none;
}

.discover .user .username i {
    color: #45200d;
    cursor: pointer;
    position: absolute;
    right: 0;
}


/* -- Data Section --*/
.discover .data {
    height: 100%;
    min-height: 500px;
    display: flex;
    align-items: stretch;
    align-content: stretch;
    background: url(../img/paper.png) no-repeat;
    background-size: 100%;
    font-weight: bold;
    position: relative;
}

.discover .data .data-btn {
    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: center;
    position: relative;
}

.discover .data .data-btn p {
    color: #45200d;
    font-size: 30px;
    text-shadow: 0px 3px 3px #ffe5ab;
}

.discover .data #playagain {
    position: relative;
    background: #78544800;
    color: #41110a;
    font-weight: bold;
    pointer-events: none;
    opacity: 0.5;
}

.discover .data #playagain.active {
    opacity: 1;
    pointer-events: fill;
    cursor: pointer;
}

.discover .data::before {
    content: "";
    display: none;
    position: absolute;
    width: 100%;
    height: 102px;
    top: -63px;
    background: url(../img/paper-top.png) no-repeat;
    background-size: 100%;
    z-index: 0;
}

.discover .data::after {
    content: "";
    display: none;
    position: absolute;
    width: 100%;
    height: 132px;
    bottom: -132px;
    background: url(../img/paper-bottom.png) no-repeat;
    background-size: 100%;
    z-index: 0;
}

.discover .data .data-footer {
    background: url(../img/grass-block.png) no-repeat;
    width: 100%;
    height: 80px;
    background-size: 100% 100%;
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    font-size: 30px;
    text-transform: uppercase;
    text-shadow: 1px 1px 0px #000;
    color: #ffc75a;
    margin: 10px auto;
}

.discover .data .data-footer p {
    margin-bottom: 0;
}

.discover .data .data-inner {
    min-height: 100%;
    width: 80%;
    margin: 0 auto;
    position: relative;
    z-index: 1;
}


.discover .data .statistics .line {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    color: #45200d;
    text-align: left;
}

.discover .data .statistics .line .title {
    width: 23%;
    text-align: right;
}

.discover .data .statistics .line .number {
    width: 5%;
    text-align: right;
    color: #45220d;
}

.discover .data .statistics .line .border {
    width: 62%;
    height: 5px;
    background: rgb(69 32 13);
    border: none !important;
}
.discover .data .data-btn button {
    width: 90%;
    text-align: center;
    background: #9d0808;
    color: #ffc75a;
    border-radius: 5px;
    margin-bottom: 5px;
    padding: 5px 12px;
    border: 2px solid #510404;
    margin-bottom: 0;
}
.discover .data  #next {
    opacity: 0.5;
    pointer-events: none;
}

.discover .data #next.active {
    opacity: 1;
    cursor: pointer;
    pointer-events: all
}

.discover .data #score {
    margin-left: 5px;
}

.add-new-container{
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    background: beige;
    display: none;
    position: absolute;
    z-index: 10;
}
.add-new-container.view{
    display: flex;
}
.add-new-toggle{
    background: #FF5722;
    padding: 10px 20px;
    border-radius: 5px;
    color: #fff;
    font-size: 24px;
    border: 3px solid #43140b;
    cursor: pointer;
}
/**************** form ****************/
.form-container {
    overflow-y: auto;
    overflow-x: hidden;
    padding-right: 10px;
    width: 100%;
    height: 100%;
    background: #0a0a0aad;
    position: fixed;
    z-index: 10;
    justify-content: center;
    align-items: center;
    display: flex;
    opacity: 0;
    flex-direction: column;
    z-index: -1;
    top: 0;
  }
  
  .form-container.view {
    z-index: 10;
    transition: 0.5s;
    opacity: 1;
  }
  
  .form-container .form-control {
    display: block;
    color: #222;
    background-color: #ffffff;
    border: none;
    border: 1px solid #5d5959;
  }
  
  .form-container form {
    margin-top: 15px;
  }
  
  .form-container .form-control:focus {
    color: #fff360 !important;
    background-color: #2b2549;
    border-color: #2b2549;
    box-shadow: none;
  }
  
  .form-container .form-control::-moz-placeholder {
    color: #222 !important;
  }
  
  .form-container .form-control:-ms-input-placeholder {
    color: #222 !important;
  }
  
  .form-container .form-control::placeholder {
    color: #222 !important;
  }
  
  .form-container .form-control:focus::-moz-placeholder {
    color: #fff360 !important;
  }
  
  .form-container .form-control:focus:-ms-input-placeholder {
    color: #fff360 !important;
  }
  
  .form-container .form-control:focus::placeholder {
    color: #fff360 !important;
  }
  
  .form-container .error {
    color: #f44336;
  }
  
  .form-container .error p {
    margin-bottom: 5px;
    background: #ffdedc;
    padding: 7px 10px;
    border: 1px solid #f0b2ae;
  }
  
  .form-container .previewimg {
    width: auto;
    max-width: 100%;
    max-height: 100px;
    padding: 3px;
    background: #fff;
    border: 1px solid #ddd;
    padding: 5px;
    display: block;
  }
  
  .form-container .form-group {
    margin-bottom: 5px;
  }
  
  #close-form {
    font-size: 30px;
    cursor: pointer;
    position: absolute;
    left: 30px;
    top: 10px;
    color: #b1b1b1;
  }
  
  .photoimg {
    width: 100px;
    padding: 5px;
    border: 1px solid #ddd;
    border-radius: 3px;
    height: 80px;
  }
  
  #items {
    background: white;
    padding: 0px 30px;
    width: 50%;
    display: flex;
    gap: 10px;
    align-items: flex-start;
    flex-wrap: wrap;
    flex-direction: row;
    width: 100%;
  }
  
  .photoimg-container {
    position: relative;
  }
  
  .photoimg-container i {
    position: absolute;
    top: 10px;
    left: 10px;
  
  }
  
  .num {
    display: none;
  }
  
  #items>div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
  }
  
  #items>div p {
    margin: 5px auto;
  }
  
  #items i {
    padding: 5px;
    background: #ffffffd6;
    color: #696969;
    align-self: center;
    display: flex;
    width: 30px;
    height: 30px;
    justify-content: center;
    align-items: center;
    position: absolute;
    z-index: 1;
    left: 6px;
    top: 6px;
  }
  
  .deleteicon {
    cursor: pointer;
  }
  
  .panel {
    background: #fff;
    width: 50%;
    margin: 10% auto;
    position: relative;
    overflow-y: scroll;
    min-height: 95vh;
    max-height: 95vh;
  }
  
  .panel form {
    width: 80%;
    margin: 10px 30px;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  
  .panel form input[type="text"] {
    width: 100%;
    height: 40px;
    padding: 10px;
  }
  
  .panel form button.addnewbtn,
  .panel form button.delallbtn {
    width: 150px;
    height: 40px;
    color: #fff;
    border: none;
    cursor: pointer;
  }
  
  .panel form button.delallbtn {
    background: #e76326;
  }
  
  .panel form button.addnewbtn {
    background: #07aa94;
  }
  
  .panel form button.popupbtn {
    color: #fff;
    border: none;
    padding: 5px 10px;
    border: 2px solid;
    font-weight: bold;
  }
  
  .panel form button.confirm {
    color: #07aa94;
    cursor: pointer;
  
  }
  
  .panel form button.cancel {
    color: #e76326;
    cursor: pointer;
  }
  
  .popup {
    display: none;
    transition: 0.5s;
  }
  
  .popup-inner p {
    margin-top: 0;
    margin-bottom: 10px;
  }
  
  .popup-btns {
    margin-bottom: 5px;
  }
  
  .popup.view {
    transition: 0.5s;
    display: flex;
    align-items: center;
  }
  
  .panel-title {
    margin: 50px 30px 20px 30px;
    background: #e3e3e3;
    padding: 10px;
    font-size: 1rem;
    color: #222;
  }
  
  .panel-title:last-of-type {
    margin-top: 20px !important;
  }
  .choose{
    display: flex;
    gap: 3px;
  }
  .chooses{
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
  }